/*-------------------------------------------------------------------------
		TRAMECAD  
		LIBRARY OPENSCAD FOR STEEL MODELLING
		Developed by Paulo C. Ormonde
		Blog: http://trameestruturas.blogspot.com.br
		E-mail: ormonde.paulo@gmail.com
		*/
		include <tube.scad>;
//-------------------------------------------------------------------------

HP=2000;
//Draw the vertical bars
for (j=[0:1]){
 for (i = [0:1]){
  translate([2000*i,2000*j,0]){ color("Green") vtube(150,3,HP,0);
                            }
  }
 }

// Draw tubes 3D

    tub(100,3,    0, 0, HP, 1000,1000,HP+1000); 
    tub(100,3, 2000, 0, HP, 1000,1000,HP+1000); 
    tub(100,3, 2000, 2000, HP, 1000,1000,HP+1000);
    tub(100,3, 0, 2000, HP, 1000,1000,HP+1000);

// Draw de horizontal bars
color("steelBlue"){
       translate([0,0,0]) htube(150,5,2000,HP,0);
        translate([2000,0,0]) htube(150,5,2000,HP,90);
         translate([2000,2000,0]) htube(150,5,2000,HP,180);
           translate([0,2000,0]) htube(150,5,2000,HP,270);
}

// Draw the rods
color("OrangeRed"){
rod(25.4,0,0,0,2000,0,2000);
rod(25.4,2000,0,0,0,0,2000);

xrod(25.4,2000,0,0,2000,2000,2000);

xrod(25.4,2000,2000,0,0,2000,2000);

xrod(25.4,0,2000,0,0,0,2000);

}