/* PLATE - MODULE TRAMECAD FOR PLATE MODELING
          
 1 - sbplate (side, thickness, number of holes, ø hole, space from border, z position)  

*/

//sbplate(200,10,6,16,25,0);



//-------------------------------------------------------------------------
// SQBASE - SQUARE BASE PLATE WITH HOLES
//-------------------------------------------------------------------------
module sbplate(bc,tc,nf,df,a,zc){
rf=df/2;

difference (){

translate([0, 0, tc/2+zc])

cube([bc,bc,tc],true);
   {
		translate([-bc/2 + a, -bc/2 + a, tc/2 + zc])
		cylinder(  tc+1, rf, rf,true);
		translate([-bc/2 + a, bc/2 - a, tc/2 + zc])
		cylinder(  tc+1, rf, rf,true);
		translate([bc/2 - a, bc/2 - a, tc/2 + zc ])
		cylinder(  tc+1, rf, rf,true);
		translate([bc/2 - a, -bc/2 + a, tc/2 + zc])
		cylinder(  tc+1, rf, rf,true);

		if (nf==6 || nf==8){
		translate([0, -bc/2 + a, tc/2 + zc])
		cylinder(tc+1, rf, rf,true);
		translate([0,bc/2 - a, tc/2 + zc])
		cylinder(tc+1, rf, rf,true);
		}

		if (nf==8){
		translate([-bc/2 + a, 0, tc/2 + zc])
		cylinder(tc+1, rf, rf,true);
		translate([ bc/2 - a,0, tc/2])
		cylinder(tc+1, rf, rf,true);
		}

		if (nf==12){
      ef=(bc-2*a)/3;
		translate([ef/2, -bc/2 + a, tc/2 + zc])
		cylinder(tc+1, rf, rf,true);
		translate([-ef/2, -bc/2 + a, tc/2 + zc])
		cylinder(tc+1, rf, rf,true);

		translate([ef/2,bc/2 - a, tc/2 + zc])
		cylinder(tc+1, rf, rf,true);
		translate([-ef/2,bc/2 - a, tc/2 + zc])
		cylinder(tc+1, rf, rf,true);

		translate([-bc/2 + a, ef/2, tc/2 + zc])
		cylinder(tc+1, rf, rf,true);
		translate([-bc/2 + a, -ef/2, tc/2 + zc])
		cylinder(tc+1, rf, rf,true);

		translate([ bc/2 - a,ef/2, tc/2 + zc])
		cylinder(tc+1, rf, rf,true);
		translate([ bc/2 - a,-ef/2, tc/2 + zc])
		cylinder(tc+1, rf, rf,true);
		}
    }
  }
}
